---
version: "2"
checks:
  # documentation and explanations of complexity ratings and thresholds:
  # https://docs.codeclimate.com/docs/maintainability#checks
  argument-count:
    config:
      threshold: 4
  complex-logic:
    config:
      threshold: 4
  file-lines:
    config:
      threshold: 250
  method-complexity:
    config:
      threshold: 10
  method-count:
    config:
      threshold: 20
  method-lines:
    config:
      threshold: 100
  nested-control-flow:
    config:
      threshold: 4
  return-statements:
    config:
      threshold: 4
  similar-code:
    config:
      threshold: # language-specific defaults. an override will affect all languages.
  identical-code:
    config:
      threshold: # language-specific defaults. an override will affect all languages
plugins:
  nodesecurity:
    enabled: true
  csslint:
    enabled: true
  coffeelint:
    enabled: true
  duplication:
    enabled: true
    config:
      languages:
        - javascript
  eslint:
    enabled: true
    config:
      config: .eslintrc.json
  fixme:
    enabled: true
exclude_patterns:
  - dist/
  - "**/node_modules/"
  - "**/spec/"
  - "**/test/"
  - "**/tests/"
  - Tests/
  - "**/*_test.go"
  - "**/*.d.ts"
  - "**/*.min.js"
  - "**/*.min.css"
  - "**/__tests__/"
  - "**/__mocks__/"
